The protocol's number, supported by this VL. This value depends from the protocol's type. VLAN per port: Must be equal 0. Predefined VLAN: 1: other none of the following. This VLAN includes any protocol except the following protocols. It is a bridging VLAN. 2: IP 3: reserved 4: IPX RAW or IPX, if the device does not support VLANS per IPX encapsulations 5: IPX Ethernet 6: IPX LLC 7: IPX SNAP 8: DECNET 9: DECLAT 10: NETBIOS 11: APPLETALK 12: XNS 13: SNA Ethernet User Defined Protocol: A number in range 1 .. vlanEthUserDefinedNum LLC User Defined Protocol: A number in range 1 .. vlanLlcUserDefinedNum
OID reference
vlanProtNum
1.3.6.1.4.1.89.48.17.1.3
Description
The protocol's number, supported by this VL. This value depends from the protocol's type. VLAN per port: Must be equal 0. Predefined VLAN: 1: other none of the following. This VLAN includes any protocol except the following protocols. It is a bridging VLAN. 2: IP 3: reserved 4: IPX RAW or IPX, if the device does not s…
Identification
Identifier and names
- Parent
- 1.3.6.1.4.1.89.48.17.1 (vlanEntry)
- Node code
- 3
- Node name
- vlanProtNum
- Category
- SNMP management object
- Numeric OID
- 1.3.6.1.4.1.89.48.17.1.3
- URN notation
- urn:oid:1.3.6.1.4.1.89.48.17.1.3
ASN.1, OID-IRI and named path variants
- ASN.1 notation
-
{1 3 6 1 4 1 89 48 17 1 3}
- {iso(1) identified-organization(3) dod(6) internet(1) private(4) enterprise(1) rnd(89) vlan(48) vlanTable(17) vlanEntry(1) vlanProtNum(3)}
- {iso(1) identified-organization(3) dod(6) internet(1) private(4) enterprises(1) rnd(89) vlan(48) vlanTable(17) vlanEntry(1) vlanProtNum(3)}
- {iso(1) identified-organization(3) dod(6) internet(1) private(4) ldap-enterprise(1) rnd(89) vlan(48) vlanTable(17) vlanEntry(1) vlanProtNum(3)}
- {iso(1) identified-organization(3) dod(6) internet(1) private(4) vendor-objects(1) rnd(89) vlan(48) vlanTable(17) vlanEntry(1) vlanProtNum(3)}
- {iso(1) org(3) dod(6) internet(1) private(4) enterprise(1) rnd(89) vlan(48) vlanTable(17) vlanEntry(1) vlanProtNum(3)}
- {iso(1) org(3) dod(6) internet(1) private(4) enterprises(1) rnd(89) vlan(48) vlanTable(17) vlanEntry(1) vlanProtNum(3)}
- {iso(1) org(3) dod(6) internet(1) private(4) ldap-enterprise(1) rnd(89) vlan(48) vlanTable(17) vlanEntry(1) vlanProtNum(3)}
- {iso(1) org(3) dod(6) internet(1) private(4) vendor-objects(1) rnd(89) vlan(48) vlanTable(17) vlanEntry(1) vlanProtNum(3)}
- {iso(1) iso-identified-organization(3) dod(6) internet(1) private(4) enterprise(1) rnd(89) vlan(48) vlanTable(17) vlanEntry(1) vlanProtNum(3)}
- {iso(1) iso-identified-organization(3) dod(6) internet(1) private(4) enterprises(1) rnd(89) vlan(48) vlanTable(17) vlanEntry(1) vlanProtNum(3)}
- {iso(1) iso-identified-organization(3) dod(6) internet(1) private(4) ldap-enterprise(1) rnd(89) vlan(48) vlanTable(17) vlanEntry(1) vlanProtNum(3)}
- {iso(1) iso-identified-organization(3) dod(6) internet(1) private(4) vendor-objects(1) rnd(89) vlan(48) vlanTable(17) vlanEntry(1) vlanProtNum(3)}
- {iso(1) iso-organization(3) dod(6) internet(1) private(4) enterprise(1) rnd(89) vlan(48) vlanTable(17) vlanEntry(1) vlanProtNum(3)}
- {iso(1) iso-organization(3) dod(6) internet(1) private(4) enterprises(1) rnd(89) vlan(48) vlanTable(17) vlanEntry(1) vlanProtNum(3)}
- {iso(1) iso-organization(3) dod(6) internet(1) private(4) ldap-enterprise(1) rnd(89) vlan(48) vlanTable(17) vlanEntry(1) vlanProtNum(3)}
- {iso(1) iso-organization(3) dod(6) internet(1) private(4) vendor-objects(1) rnd(89) vlan(48) vlanTable(17) vlanEntry(1) vlanProtNum(3)}
- OID-IRI notation
- /1/3/6/1/4/1/89/48/17/1/3
- /ISO/Identified-Organization/6/1/4/1/89/48/17/1/3
- /ISO/3/6/1/4/1/89/48/17/1/3
- Named path variants
- /iso/identified-organization/dod/internet/private/enterprise/rnd/vlan/vlanTable/vlanEntry/vlanProtNum
- /iso/identified-organization/dod/internet/private/enterprises/rnd/vlan/vlanTable/vlanEntry/vlanProtNum
- /iso/identified-organization/dod/internet/private/ldap-enterprise/rnd/vlan/vlanTable/vlanEntry/vlanProtNum
- /iso/identified-organization/dod/internet/private/vendor-objects/rnd/vlan/vlanTable/vlanEntry/vlanProtNum
- /iso/org/dod/internet/private/enterprise/rnd/vlan/vlanTable/vlanEntry/vlanProtNum
- /iso/org/dod/internet/private/enterprises/rnd/vlan/vlanTable/vlanEntry/vlanProtNum
- /iso/org/dod/internet/private/ldap-enterprise/rnd/vlan/vlanTable/vlanEntry/vlanProtNum
- /iso/org/dod/internet/private/vendor-objects/rnd/vlan/vlanTable/vlanEntry/vlanProtNum
- /iso/iso-identified-organization/dod/internet/private/enterprise/rnd/vlan/vlanTable/vlanEntry/vlanProtNum
- /iso/iso-identified-organization/dod/internet/private/enterprises/rnd/vlan/vlanTable/vlanEntry/vlanProtNum
- /iso/iso-identified-organization/dod/internet/private/ldap-enterprise/rnd/vlan/vlanTable/vlanEntry/vlanProtNum
- /iso/iso-identified-organization/dod/internet/private/vendor-objects/rnd/vlan/vlanTable/vlanEntry/vlanProtNum
- /iso/iso-organization/dod/internet/private/enterprise/rnd/vlan/vlanTable/vlanEntry/vlanProtNum
- /iso/iso-organization/dod/internet/private/enterprises/rnd/vlan/vlanTable/vlanEntry/vlanProtNum
- /iso/iso-organization/dod/internet/private/ldap-enterprise/rnd/vlan/vlanTable/vlanEntry/vlanProtNum
- /iso/iso-organization/dod/internet/private/vendor-objects/rnd/vlan/vlanTable/vlanEntry/vlanProtNum
SNMP properties
- Value type
- INTEGER
- Maximum access defined by MIB
- read-write
- Status in MIB
- mandatory
- Default value
- 0
Using this OID with SNMP
At least one MIB declaration places this object in a table row. A value belongs to a row instance; its suffix depends on the row's INDEX or AUGMENTS definition.
In RADLAN-MIB, the row index vlanIfIndex is declared as INTEGER. A non-negative index value is encoded as one numeric subidentifier. An instance has the form .1.3.6.1.4.1.89.48.17.1.3.<vlanIfIndex>. Use an index value actually present on the device and permitted by its MIB. Other definitions can differ.
Published row index: vlanIfIndex.
snmpwalk [connection options] DEVICE .1.3.6.1.4.1.89.48.17.1.3
Replace the placeholders with your connection and authentication options. Available permissions and device support can differ from the MIB.
Properties come from available MIB definitions. Actual device support and access can differ. See source records below for original files and qualifications.
Published definition
The displayed source records contain one distinct definition. Compare its source records.
vlanProtNum OBJECT-TYPE
SYNTAX INTEGER
ACCESS read-write
STATUS mandatory
DESCRIPTION
"The protocol's number, supported by this VL. This value
depends from the protocol's type.
VLAN per port:
Must be equal 0.
Predefined VLAN:
1: other none of the following.
This VLAN includes any protocol except
the following protocols. It is a bridging VLAN.
2: IP
3: reserved
4: IPX RAW or IPX, if the device does not support VLANS
per IPX encapsulations
5: IPX Ethernet
6: IPX LLC
7: IPX SNAP
8: DECNET
9: DECLAT
10: NETBIOS
11: APPLETALK
12: XNS
13: SNA
Ethernet User Defined Protocol:
A number in range 1 .. vlanEthUserDefinedNum
LLC User Defined Protocol:
A number in range 1 .. vlanLlcUserDefinedNum"
DEFVAL { 0 }
::= { vlanEntry 3 }
Meaning
Descriptions
Identical descriptions are grouped. Different wording and device-specific notes are retained.
Evidence
Source records
Matching descriptions are grouped; open a group to compare definitions and supporting files.
Records for description 1D-Link official switch MIBs
vlanProtNum · mandatoryD-Link official switch MIBs
Status in source: mandatory.
Names: vlanProtNum
Technical details
{
"smi_kind": "OBJECT-TYPE",
"definition": [
"vlanProtNum",
"OBJECT-TYPE",
"SYNTAX",
"INTEGER",
"ACCESS",
"read-write",
"STATUS",
"mandatory",
"DESCRIPTION",
"\"The protocol's number, supported by this VL. This value depends from the protocol's type. VLAN per port: Must be equal 0. Predefined VLAN: 1: other none of the following. This VLAN includes any protocol except the following protocols. It is a bridging VLAN. 2: IP 3: reserved 4: IPX RAW or IPX, if the device does not support VLANS per IPX encapsulations 5: IPX Ethernet 6: IPX LLC 7: IPX SNAP 8: DECNET 9: DECLAT 10: NETBIOS 11: APPLETALK 12: XNS 13: SNA Ethernet User Defined Protocol: A number in range 1 .. vlanEthUserDefinedNum LLC User Defined Protocol: A number in range 1 .. vlanLlcUserDefinedNum\"",
"DEFVAL",
"{",
"0",
"}",
"::=",
"{",
"vlanEntry",
"3",
"}"
],
"syntax_tree": [
[
"SimpleSyntax",
"INTEGER"
],
null,
[
"MaxAccessPart",
"read-write"
],
[
"Status",
"mandatory"
],
[
"DESCRIPTION",
"The protocol's number, supported by this VL. This value depends from the protocol's type. VLAN per port: Must be equal 0. Predefined VLAN: 1: other none of the following. This VLAN includes any protocol except the following protocols. It is a bridging VLAN. 2: IP 3: reserved 4: IPX RAW or IPX, if the device does not support VLANS per IPX encapsulations 5: IPX Ethernet 6: IPX LLC 7: IPX SNAP 8: DECNET 9: DECLAT 10: NETBIOS 11: APPLETALK 12: XNS 13: SNA Ethernet User Defined Protocol: A number in range 1 .. vlanEthUserDefinedNum LLC User Defined Protocol: A number in range 1 .. vlanLlcUserDefinedNum"
],
null,
null,
null,
[
"DEFVAL",
0
]
]
}- D-Link official switch MIBs
· Publisher's source file: Source package: DES6300 MIB(0131140909).zip
Module: RADLAN-MIB
See published definition above
· Download APOLLO.TXTModule imports
{'IF-MIB': ['InterfaceIndexOrZero', 'InterfaceIndex', 'ifIndex'], 'LAG-MIB': ['dot3adAggIndex'], 'MAU-MIB': ['JackType'], 'RFC-1212': ['OBJECT-TYPE'], 'RFC-1215': ['TRAP-TYPE'], 'RMON-MIB': ['OwnerString', 'EntryStatus'], 'SNMPv2-TC': ['TEXTUAL-CONVENTION'], 'BRIDGE-MIB': ['BridgeId', 'Timeout', 'dot1dBasePort', 'dot1dBasePortEntry', 'MacAddress'], 'SNMPv2-SMI': ['Unsigned32', 'Counter32', 'Counter64'], 'RFC1155-SMI': ['NetworkAddress', 'IpAddress', 'Counter', 'Gauge', 'TimeTicks', 'enterprises'], 'RFC1213-MIB': ['DisplayString', 'PhysAddress', 'ipAddrEntry'], 'RFC1315-MIB': ['DLCI'], 'RFC1389-MIB': ['rip2IfConfEntry'], 'P-BRIDGE-MIB': ['EnabledStatus'], 'Q-BRIDGE-MIB': ['PortList'], 'SNMPv2-TC-v1': ['TimeInterval'], 'RADLAN-SNMPv2': ['TruthValue', 'RowStatus', 'zeroDotZero', 'RowPointer'], 'SNMP-FRAMEWORK-MIB': ['SnmpAdminString']}Related source files and packages:
Registration
Registration authorities
First Registration Authority (inferred from ancestor 1.3.6.1.4.1.89)
Siblings (8)
| OID | Name | Direct children | Descendants | Description |
|---|---|---|---|---|
| 1.3.6.1.4.1.89.48.17.1.1 | vlanIfIndex | 0 | 0 | |
| 1.3.6.1.4.1.89.48.17.1.2 | vlanProtType | 0 | 0 | |
| 1.3.6.1.4.1.89.48.17.1.4 | vlanAutoConfigEnable | 0 | 0 | |
| 1.3.6.1.4.1.89.48.17.1.5 | vlanStatus | 0 | 0 | |
| 1.3.6.1.4.1.89.48.17.1.6 | vlanName | 0 | 0 | |
| 1.3.6.1.4.1.89.48.17.1.7 | vlanTag | 0 | 0 | |
| 1.3.6.1.4.1.89.48.17.1.8 | vlanPriority | 0 | 0 | |
| 1.3.6.1.4.1.89.48.17.1.16 | vlanPhysAddressType | 0 | 0 |